Loading...
Searching...
No Matches
XrdConfig.cc File Reference
`#include <unistd.h>`
`#include <cctype>`
`#include <fcntl.h>`
`#include <pwd.h>`
`#include <cstdint>`
`#include <string>`
`#include <cstring>`
`#include <cstdio>`
`#include <sys/param.h>`
`#include <sys/resource.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/un.h>`
`#include <algorithm>`
`#include <limits>`
`#include "XrdVersion.hh"`
`#include "Xrd/XrdBuffer.hh"`
`#include "Xrd/XrdBuffXL.hh"`
`#include "Xrd/XrdConfig.hh"`
`#include "Xrd/XrdInet.hh"`
`#include "Xrd/XrdInfo.hh"`
`#include "Xrd/XrdLink.hh"`
`#include "Xrd/XrdLinkCtl.hh"`
`#include "Xrd/XrdPoll.hh"`
`#include "Xrd/XrdScheduler.hh"`
`#include "Xrd/XrdStats.hh"`
`#include "Xrd/XrdTrace.hh"`
`#include "XrdNet/XrdNetAddr.hh"`
`#include "XrdNet/XrdNetIdentity.hh"`
`#include "XrdNet/XrdNetIF.hh"`
`#include "XrdNet/XrdNetRefresh.hh"`
`#include "XrdNet/XrdNetSecurity.hh"`
`#include "XrdNet/XrdNetUtils.hh"`
`#include "XrdOuc/XrdOuca2x.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucLogging.hh"`
`#include "XrdOuc/XrdOucPinKing.hh"`
`#include "XrdOuc/XrdOucSiteName.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucString.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysFD.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdSys/XrdSysTimer.hh"`
`#include "XrdSys/XrdSysUtils.hh"`
`#include "XrdTcpMonPin.hh"`
`#include "XrdTls/XrdTls.hh"`
`#include "XrdTls/XrdTlsContext.hh"`
Include dependency graph for XrdConfig.cc:

Go to the source code of this file.

## Classes

class | XrdConfigProt
union | XrdConfigProt.__unnamed0__
union | XrdConfigProt.__unnamed1__
class | XrdTcpMonInfo

## Namespaces

namespace | XrdGlobal
namespace | XrdNetSocketCFG

## Macros

#define | S_IAMB 0x1FF
#define | TS_Xeq(x, m)

## Variables

XrdBuffManager | XrdGlobal::BuffPool
int | XrdGlobal::devNull = -1
int | XrdNetSocketCFG::ka_Icnt = 0
int | XrdNetSocketCFG::ka_Idle = 0
int | XrdNetSocketCFG::ka_Itvl = 0
XrdSysLogger | XrdGlobal::Logger
XrdNetRefresh * | XrdNetSocketCFG::NetRefresh
XrdScheduler | XrdGlobal::Sched
XrdTcpMonPin * | XrdGlobal::TcpMonPin = 0
XrdTlsContext * | XrdGlobal::tlsCtx = 0
XrdOucString | XrdGlobal::totalCF
int | XrdNetSocketCFG::udpRefr = 8*60*60
XrdInet * | XrdGlobal::XrdNetTCP = 0
XrdSysTrace | XrdGlobal::XrdTrace

## Class Documentation

## XrdConfigProt.__unnamed0__

union XrdConfigProt.__unnamed0__

Definition at line 183 of file XrdConfig.cc.

Collaboration diagram for XrdConfigProt.__unnamed0__:

Class Members
int | port |
int | portVec[XrdProtLoad::PortoMax] |

## XrdConfigProt.__unnamed1__

union XrdConfigProt.__unnamed1__

Definition at line 186 of file XrdConfig.cc.

Collaboration diagram for XrdConfigProt.__unnamed1__:

Class Members
bool | dotls |
bool | tlsVec[XrdProtLoad::PortoMax] |

## Macro Definition Documentation

## S_IAMB

#define S_IAMB 0x1FF

Definition at line 163 of file XrdConfig.cc.

Referenced by XrdOfs::chmod(), XrdSfsNative::chmod(), XrdOfsPoscq::Init(), XrdSfsNative::mkdir(), XrdOfsEvs::Notify(), XrdSfsNativeFile::open(), and XrdOssSys::Reloc().

## TS_Xeq

#define TS_Xeq | ( |  | x,
|  |  | m )

Value:
if (!strcmp(x,var)) return m(eDest, Config);
eDest
static XrdSysError eDest(0,"crypto_")

Definition at line 160 of file XrdConfig.cc.

Referenced by XrdThrottle::Configuration::Configure(), XrdBwm::ConfigXeq(), XrdCmsConfig::ConfigXeq(), XrdConfig::ConfigXeq(), XrdOfs::ConfigXeq(), and XrdOssSys::ConfigXeq().